using System;
using System.Windows.Threading;

internal sealed class Delegate36 : MulticastDelegate
{
	public extern Dispatcher Invoke(object object_0);

	public static Dispatcher smethod_0(object object_0, Delegate36 delegate36_1)
	{
		return delegate36_1(object_0);
	}

	public extern Delegate36(object object_0, IntPtr intptr_0);

	static Delegate36()
	{
		Class10.smethod_13(typeof(Delegate36).TypeHandle);
	}

	internal static Delegate36 delegate36_0;
}
